# GLUT spider web

- 项目描述
  - 用于获取GLUT学分统计，即爬虫案例

- 初始化项目

```shell
# Windows
python -m venv .venv
pip install -r requirements.txt

# Linux
python3 -m venv .venv
pip3 install -r requirements.txt
```

- 配置环境变量( **推荐配置** )

  将`default.env`内容填写完整后改名为`.env`

- 使用方法

```shell
# 帮助文档
python main.py -h

# 开启服务器
python main.py -s

# 使用命令行操作,如果没有配置环境变量则需要给出用户名和密码
# 注意默认会输出scores.json
> python main.py -t 2023_sp
Fetching scores for 2023 sp...
aggregate_score: 72.32824427480917

> python main.py -t 2023_sp -u 32220520xxxxx -p xxxxx
Fetching scores for 2023 sp...
aggregate_score: 72.32824427480917
```
